Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ProductsGroupsWEB
    Inherits BaseObject
    Private _WEBMainGroupName As String 'Főcsoport a WEB megjelenéshez
    Private _WebGroupName As String 'Csoport a WEB megjelenéshez
    Private _WEBDescription As String 'WEB leírás

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Size(255)> _
    Property WEBMainGroupName As String
        Get
            Return _WEBMainGroupName
        End Get
        Set(value As String)
            SetPropertyValue("WEBMainGroupName", _WEBMainGroupName, value)
        End Set
    End Property
    Property WebGroupName As String
        Get
            Return _WebGroupName
        End Get
        Set(value As String)
            SetPropertyValue("WebGroupName", _WebGroupName, value)
        End Set
    End Property
    <Size(-1)> _
    Property WEBDescription As String
        Get
            Return _WEBDescription
        End Get
        Set(value As String)
            SetPropertyValue("WEBDescription", _WEBDescription, value)
        End Set
    End Property

End Class
